Cara Memperbaiki Galat "Failed to Initialize Vulkan" Saat Akan Bermain Dota Underlords di Ubuntu 18.04

Kata siapa si Ubuntu gak bisa buat nge-play game? Kalau boleh minjam kata-kata dari senior saya, jawabannya "bisa! pasti bisa". Meskipun tingkat ke-bisa-annya dalam memainkan game memang masih jauh bila dibandingkan dengan sistem operasi yang lain. Windows misalnya.

Salat satu platform yang menyediakan lingkungan untuk bermain game di dunia GNU/Linux adalah Steam. Yap, berkat Steam, saya bisa bermain Dota 2 dan game lain yang baru saja dirilis oleh Valve belakangan ini, Dota Underlords.

Sebagai game baru berjenis auto battler, Dota Underlords dapat dimainkan diberbagai platform. Salah satu platform yang dapat memainkan game tersebut adalah GNU/Linux.

Hanya saja terdapat masalah terhadap dukungan Vulkan yang disediakan oleh GPU Intel. Ya, untuk memainkan kedua game diatas, saya hanya menggunakan laptop Lenovo G400s dengan spek biasa. Prosesor Intel Core i3 berkecepatan 2,40 GHz, RAM 4GB dan HDD 500GB. Untuk keperluan render grafik, tentu saja masih mengandalkan Intel HD 4000.

Masalah yang dimaksudkan adalah "Failed to initialize Vulkan. Please make sure your driver and GPU support Vulkan".

Galat saat menjalankan Dota Underlords

Vulkan adalah grafis generasi baru dan komputasi API yang menyediakan efisiensi tinggi, akses lintas platform ke GPU modern yang digunakan dalam berbagai perangkat mulai dari PC dan konsol hingga ponsel dan platform tertanam. Begitu yang dikatakan oleh situs khronos.org.

Berikut ini cara memperbaiki galat Failed to initialize Vulkan. Please make sure your driver and GPU support Vulkan di Ubuntu 18.04 berprosesor Intel dan bermesin grafis Intel HD 4000.

Sebelum menjalankan Dota Underlords, pasang perkakas Vulkan dan Mesa driver.

$ sudo apt install vulkan-utils mesa-vulkan-drivers

Seharusnya, setelah memasang kedua paket diatas, Dota Underlords sudah dapat dijalankan. Tapi, kasus yang saya alami, Dota Underlords tiba-tiba menutup sendiri alias force close.

Untuk mengatasinya, saya harus meningkatkan driver Mesa yang sudah dipasang dengan memasang repositori via PPA.

$ sudo apt-add-repository ppa:paulo-miguel-dias/mesa

Untuk meningkatkan driver Mesa, eksekusi perintah berikut:

$ sudo apt upgrade

Sampai pasa langkah ini, Dota Underloards sudah dapat dimainkan di Ubuntu 18.04.

Sumber

Installing Vulkan, tersedia daring di https://steamcommunity.com/app/221410/discussions/6/1742227264188882438/

Ubuntu 18.04 is Not Running the Vulkan, tersedia daring di https://steamcommunity.com/groups/steamlug/discussions/1/1736589519986272104/

Komentar

  1. tapi setelah itu masih tidak bisa gan. CREATE SWAP CHAIN() : THE SELECTED GRAFHICS QUEUE DOES NOT SUPPORT PRENSENTING A SWAPCHAINIMAGE

    BalasHapus
  2. Halo Alfian. Terima kasih sudah membaca artikel kami.
    Untuk masalah yang saat ini Anda hadapi, kemungkinan besar GPU internal Anda tidak kompatibel dengan Dota Underlords. Tetapi, masalah tersebut tidak menutup kemungkinan masih bisa diperbaiki.

    Kalau boleh, bisa diinformasikan terkait spesifikasi perangkat yang saat ini Anda gunakan. Meliputi:
    Sistem operasi:
    Processor:
    Generasi:
    GPU:
    Besaran RAM (GB):

    BalasHapus
  3. Sistem operasi:ubuntu 18.04.2 LTS
    Processor:Intel® Core™ i3-4030U
    Generasi: -
    GPU: Nvidia 820M
    Besaran RAM (GB): 6 GB

    BalasHapus
  4. Mohon maaf baru membalas.
    Dari spesifikasi yang Anda sebutkan, seharusnya sudah dapat memainkan Dota Underlords.
    Akan tetapi, mungkin driver dari GPU Nvidia Anda perlu dipasang juga atau memerlukan pembaruan.

    BalasHapus

Posting Komentar

Silahkan tinggalkan komentar Anda di sini.

Postingan populer dari blog ini

Cara Membuat Menu Navigasi di Footer Blogger

Cara Memperbaiki Galat Network Unreachable Resolving pada Named di CentOS 7

Cara Memasang WoeUSB di Ubuntu 2020 LTS